Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003130TestLinkTest Specificationpublic2010-02-02 21:042010-05-01 20:32
ReporterTPtester1 
Assigned Tofman 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 2 
Fixed in Version1.9 Beta 3 
Summary0003130: TestSuite: Edit - rename Test Suite Name causes PHP Fatal Error
DescriptionIn the Navigator, select a TestSuite (with or without testcases).
Click Edit button.
Modify the Test Suite Name.
Click Save button.

The frame of the TestSuite-Details view shows some lines with a lot of php data, ending with:

Fatal error: Call to a member function RecordCount() on a non-object in /var/www/testlink/lib/functions/database.class.php on line 474
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox
PHP VersionPHP 5.2.10-2ubuntu6.4
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-3130.zip [^] (16,910 bytes) 2010-02-03 00:34

- Relationships

-  Notes
(0008930)
fman (administrator)
2010-02-03 00:34

use attached fix

- Issue History
Date Modified Username Field Change
2010-02-02 21:04 TPtester1 New Issue
2010-02-02 21:04 TPtester1 Browser => Firefox
2010-02-02 21:04 TPtester1 PHP Version => PHP 5.2.10-2ubuntu6.4
2010-02-02 23:27 fman Status new => assigned
2010-02-02 23:27 fman Assigned To => fman
2010-02-03 00:34 fman File Added: fix-3130.zip
2010-02-03 00:34 fman Note Added: 0008930
2010-02-03 00:35 fman Status assigned => resolved
2010-02-03 00:35 fman Fixed in Version => 1.9 Beta 3 (Next Beta)
2010-02-03 00:35 fman Resolution open => fixed
2010-05-01 20:32 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker